#{extends 'borderNG.html' /}


<div class="content">
    <div class="breadcrumb" style="background-color: #d9534f !important;">
        <a href="@{AuditorCtr.index()}">&{'skauditor.list'}</a> <i class="fa fa-angle-right"></i>
        <a href="@{AuditorCtr.skNonLelang()}">&{'skauditor.listnontender'}</a> <i class="fa fa-angle-right"></i>
        &{'skauditor.editnontender'}
    </div>
    #{alert /}
    	<div class="alert alert-danger" id="msg-invalidDokBA">
    Untuk Dokumen yang dapat diupload hanya dokumen/file yang memiliki ekstensi <b>*.pdf</b>
</div>

    #{form @AuditorCtr.simpanSkNonLelang(), id:'formEditSk', method:'POST', enctype:'multipart/form-data'}
     
            #{if skauditor?.skid}
                <input type="hidden" name="skauditor.skid" value="${skauditor?.skid}"/>
            #{/if}
            
	<div class="form-group row">
				<label class="col-lg-2 col-form-label">Nomor Surat Tugas <span class="warning">*</span></label>
				<div class="col-lg-10">
					<input type="text" size="25" maxlength="50" name="skauditor.skno" value="${skauditor?.skno}"
					       class="form-control #{validate 'skauditor.skno'/}"/>
					<div class="invalid-feedback">#{error 'skauditor.skno' /}</div>
				</div>
	</div>
	<div class="form-group row">
		<label class="col-lg-2 col-form-label">Masa Berlaku <span class="warning">*</span></label>
		<div class="col-lg-10 form-inline">
			<div class="form-group">
				<div class="input-group date datepicker width-normal">
					<input name="skauditor.skmulai" type="text" value="${skauditor?.skmulai?.toDatepicker()}" class="form-control datepicker #{validate 'skauditor.skmulai'/}"/>
					<div class="input-group-append">
						<span class="input-group-text"><i class="fa fa-calendar"></i></span>
					</div>
					<div class="invalid-feedback">#{error 'skauditor.skmulai' /}</div>
				</div>
			</div>
			<label>&nbsp;&nbsp; s.d. &nbsp;&nbsp;</label>
			<div class="form-group">
				<div class="input-group date datepicker width-normal">
					<input name="skauditor.skakhir" type="text" value="${skauditor?.skakhir?.toDatepicker()}" class="form-control datepicker #{validate 'skauditor.skakhir'/}"/>
					<div class="input-group-append">
						<span class="input-group-text"><i class="fa fa-calendar"></i></span>
					</div>
					<div class="invalid-feedback">#{error 'skauditor.skakhir' /}</div>
				</div>
			</div>
		</div>
	</div>
            
            

	<div class="form-group row">
		<label class="col-lg-2 col-form-label">Dokumen Surat Tugas <span class="warning">*</span></label>
		<div class="col-lg-10">
			#{if skauditor?.skattachmentid}
				<div class="attachment">
					<br/>
					<a href="${skauditor?.blob?.getDownloadUrl(models.handler.BeritaDownloadHandler.class)}">${skauditor?.blob?.getFileName()}</a>
					<a href="javascript:void(0)" class="removeBtn">
						<input type="hidden" name="hapus" value="${skauditor?.skattachmentid} ">
						<i class="fa fa-trash-o fa-lg"></i></a>
						#{fileExist skauditor?.blob /}
					<br/><br/>
				</div>
			#{/if}
			<input type="file" id="attachment" name="attachment" class="form-control #{validate 'attachment'/}" onchange="ValidateSingleInput(this);"/>
			<div class="invalid-feedback">#{error 'attachment' /}</div>
		</div>
	</div>

<div class="form-group row">
		<div class="col-lg-offset-2 col-lg-10">
            #{saveButton /}
             #{backButton action:@AuditorCtr.skNonLelang() /}
		</div>
	</div>


   
        <div class="bs-callout bs-callout-warning">
            <span class="warning">*</span> Data wajib diisi dan upload Dokumen Surat Tugas hanya dokumen/file yang memiliki ekstensi <b>*.pdf</b>
        </div>
            
              #{if skauditor}
		<div class="form-group row">
			<label class="col-lg-2 col-form-label">Auditor <span class="warning">*</span></label>
			<div class="col-lg-10">
				<table class="table table-sm">
					<thead>
						<tr style="display:block">
							<th><input name="chkAuditor" type="checkbox" class="checkall_auditor"/></th>
							<th style="width:420px">Nama Auditor</th>
							<th style="width:300px" class="hrlast">NIP</th>
						</tr>
					</thead>
					<tbody style="display:block;height: 200px; overflow: auto">
                        #{list items:auditor_skauditor , as:'auditsk', name :'auditsk'}
                            #{set idx:auditsk_index-1 /}
						<tr>
							<input type="hidden" name="auditorId" value="${auditsk.auditor.auditorid}">
							<td><input type='checkbox' class='checkbox fcol check_auditor' name='chkAuditor'
							           value='${auditsk.auditor.auditorid}'/></td>
							<td style="width:420px">${auditsk.auditor.pegawai.peg_nama}</td>
							<td style="width:288px">${auditsk.auditor.pegawai.peg_nip}</td>
						</tr>
                        #{/list}


					</tbody>
				</table>
			</div>
		</div>
		<div class="form-group row">
			<div class="col-lg-offset-2 col-lg-10">
                  #{addButton title:'Tambah Auditor',  action:@AuditorCtr.daftarAuditorNonLelang(skauditor.skid) /}
                        #{deleteButton title:'Hapus Auditor',  name: 'hapusAuditor' /}
			</div>
		</div>

		<div class="form-group row">
			<label class="col-lg-2 col-form-label">Paket <span class="warning">*</span></label>
			<div class="col-lg-10">
				<table class="table table-sm">
					<thead>
					<tr style="display:block">
						<th><input type="checkbox" class="checkall_paket"/></th>
						<th style="width:100px">Kode Tender</th>
						<th style="width:500px">Nama Paket</th>
						<th>Nilai Pagu</th>
					</tr>
					</thead>
					<tbody style="display:block;height: 200px; overflow: auto">
                        #{list items:paket_skauditor , as:'paketaudit' , name:'paketaudit' }
                            #{set idx:paketaudit_index-1 /}
						<tr>
							<input type="hidden" name="paketId" value="${paketaudit.pkt_id}">
							<td><input type='checkbox' class='checkbox fcol check_paket' name='chkPaket'
							           value='${paketaudit.pkt_id}'/></td>
							<td style="width:100px">${paketaudit.lls_id}</td>
                                    <td style="width:500px">${paketaudit.pkt_nama}</td>
                                    <td style="width:200px">${paketaudit?.pkt_pagu?.rupiah()}</td>
						</tr>
                        #{/list}
					</tbody>
				</table>
				<div class="bs-callout bs-callout-info">
					Total Paket : ${paket_skauditor?.size()}
				</div>
			</div>
		</div>
		<div class="form-group row">
			<div class="col-lg-offset-2 col-lg-10">
               #{addButton title:'Tambah Paket', action:@AuditorCtr.pilihPaketNonLelang(skauditor.skid) /}
                        #{deleteButton title:'Hapus Paket',  name: 'hapusPaket' /}
			</div>
		</div>
        #{/if}
    #{/form}
</div>

#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/js/form.util.js'/}"></script>
<script type="text/javascript">
$(document).ready(function () {
	$("#msg-invalidDokBA").hide();
});

var _validFileExtensions = [".pdf"];    
function ValidateSingleInput(oInput) {
    if (oInput.type == "file") {
        var sFileName = oInput.value;
         if (sFileName.length > 0) {
            var blnValid = false;
            for (var j = 0; j < _validFileExtensions.length; j++) {
                var sCurExtension = _validFileExtensions[j];
                if (sFileName.substr(sFileName.length - sCurExtension.length, sCurExtension.length).toLowerCase() == sCurExtension.toLowerCase()) {
                	$("#msg-invalidDokBA").hide();
                    blnValid = true;
                    break;
                }
            }
             
            if (!blnValid) {
            	$("#msg-invalidDokBA").show();
                oInput.value = "";
                return false;
            }
        }
    }
    return true;
}
    $(document).on('click', '.removeBtn', function () {
        $(this).parent().remove();
    })
</script>
#{/set}